package org.springblade.third.iotdevice.service;


import org.springblade.core.tool.api.R;
import org.springblade.device.entity.IotDevice;

/**
 * @author lidexi
 * @date 2021/5/20 15:53
 * 设备接口
 */
public interface IIotDeviceBasicService {

	R registerDevice(IotDevice iotDevice);

	R deleteDevice(IotDevice iotDevice);

	R queryDevice(IotDevice iotDevice);

	R queryDeviceList(IotDevice iotDevice);

	R updateDevice(IotDevice iotDevice);

}
